java

17/01/2009 - 22:34 von claus | Report spam
Hello can anyone help me getting java to work on suse 11.1 x86_64?

linux:/usr/lib64/browser-plugins # ls
libjavaplugin_oji.so libvlcplugin.so npwrapper.nppdf.so
libjavaplugin.so npwrapper.libflashplayer.so npwrapper.so
libmoonloader.so npwrapper.nphelix.so opensc-signer.so
linux:/usr/lib64/browser-plugins # cd /usr/lib/browser-plugins/
linux:/usr/lib/browser-plugins # ls
javaplugin.so libflashplayer.so nphelix.so nphelix.xpt nppdf.so
linux:/usr/lib/browser-plugins #

I have tried everything also from the thred java-ratzel

java does not work.

Best regards Claus
 

Lesen sie die antworten

#1 Uwe Premer
17/01/2009 - 22:57 | Warnen spam
Hello Claus,

Am Sat, 17 Jan 2009 22:34:17 +0100 schrieb claus:

Hello can anyone help me getting java to work on suse 11.1 x86_64?

linux:/usr/lib64/browser-plugins # ls
libjavaplugin_oji.so libvlcplugin.so npwrapper.nppdf.so
libjavaplugin.so npwrapper.libflashplayer.so npwrapper.so
libmoonloader.so npwrapper.nphelix.so opensc-signer.so
linux:/usr/lib64/browser-plugins # cd /usr/lib/browser-plugins/
linux:/usr/lib/browser-plugins # ls
javaplugin.so libflashplayer.so nphelix.so nphelix.xpt nppdf.so
linux:/usr/lib/browser-plugins #



First you have to deinstall your standard java installation.

Second you should download the newest version of java with full
64-Bit-support from here:
<https://jdk6.dev.java.net/6uNea.html>
Please use the link "Linux x64 JRE (RPM)" ->
jre-6u12-ea-bin-b03-linux-amd64-22_dec_2008-rpm.bin

Then open the terminal and install this binary like this:
$ chmod +x jre-6u12-ea-bin-b03-linux-amd64-22_dec_2008-rpm.bin
$ sudo ./jre-6u12-ea-bin-b03-linux-amd64-22_dec_2008-rpm.bin

If then java works, its all OK.

Should your java doesn't work yet, you have to do this workaround:
generate a link from /usr/java/jre1.6.0_12/lib/amd64/libnpj2.so to
/usr/lib64/browser-plugin

like this:
$ sudo ln
-s /usr/java/jre1.6.0_12/lib/amd64/libnpj2.so /usr/lib64/browser-plugin

(this is one line!)

I have tried everything also from the thred java-ratzel

java does not work.



'My' java just works fine with an older version. You have now the
posibility to get the newest java-64-bit-plugin from sun. ;-)

CU, Uwe

.:::::|::| ::|.:::::|::::::| ::| ::| ,::::,
,::\ :::\ :~~/ :::\ `:::::>::|_::|`:::::>:::> :| :| : -- |
`::/ :::/ :::, :|:| ,::::/ `:::::|,::::/ ::::::| :::| :::| ::| `::::'
:|

Ähnliche fragen